<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.rzdata</groupId>
    <artifactId>bpmc</artifactId>
    <version>1.0.0-SNAPSHOT</version>
    <name>bpmc</name>
    <packaging>pom</packaging>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <spring.boot.version>2.4.3</spring.boot.version>
        <mybatisplus.version>3.4.2</mybatisplus.version>
        <commons-lang3.version>3.3.2</commons-lang3.version>
        <lombok.version>1.14.2</lombok.version>
        <commons-fileupload.version>1.3.1</commons-fileupload.version>
        <commons-io.version>2.5</commons-io.version>
        <pagehelper.version>1.1.2</pagehelper.version>
        <ognl.version>3.2</ognl.version>
        <spring-swagger.version>2.8.0</spring-swagger.version>
        <xstream.version>1.4.18</xstream.version>
        <poi.version>3.7</poi.version>
        <log4j.version>2.8.2</log4j.version>
        <druid.version>1.2.4</druid.version>
        <swagger.version>3.0.0</swagger.version>
        <knife4j.version>3.0.2</knife4j.version>
        <httpclient.version>4.5.2</httpclient.version>
        <pinyin4j.version>2.5.0</pinyin4j.version>
        <hutool.version>5.1.0</hutool.version>
        <oracle.driver.version>11.2.0.1.0</oracle.driver.version>
        <gson.version>2.8.6</gson.version>
        <guava.version>30.0-jre</guava.version>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <build.sourceEncoding>UTF-8</build.sourceEncoding>
        <okhttp.version>3.14.6</okhttp.version>
        <esapi.version>2.2.2.0</esapi.version>
        <jsoup.version>1.13.1</jsoup.version>
        <jackson.version>2.2.3</jackson.version>
        <commons-lang.version>2.4</commons-lang.version>
        <commons-beanutils.version>1.9.4</commons-beanutils.version>
        <hibernate-validator.version>6.0.17.Final</hibernate-validator.version>
        <java-uuid-generator.version>3.1.5</java-uuid-generator.version>
        <joda-time.version>2.9.9</joda-time.version>
        <junit.version>4.11</junit.version>
        <springdoc-openapi-ui.version>1.5.6</springdoc-openapi-ui.version>
        <javaee-api.version>7.0</javaee-api.version>
        <xstream.version>1.4.18</xstream.version>
        <bpmc.version>5.16.4</bpmc.version>
        <bpmc.code>1.0.0-SNAPSHOT</bpmc.code>
        <bpmc-client.version>1.0.0-RC1</bpmc-client.version>
        <!-- 用户中心配置-->
        <user-center.version>2.2.0-RC3</user-center.version>
        <!-- 网关版本配置-->
        <bizworks.version>0.0.1-11-unlimited-SNAPSHOT</bizworks.version>

        <springDataRedis-verson>1.4.4.RELEASE</springDataRedis-verson>
        <jedis-verson>2.5.2</jedis-verson>
        <mysql.version>8.0.27</mysql.version>
    </properties>
    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-starter-openfeign</artifactId>
                <version>3.0.3</version>
            </dependency>

            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-starter-netflix-ribbon</artifactId>
                <version>2.2.8.RELEASE</version>
            </dependency>

            <dependency>
                <!-- Import dependency management from Spring Boot -->
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-parent</artifactId>
                <version>${spring.boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>
    <modules>
        <module>ebpm-process-manage</module>
        <module>ebpm-process-rest</module>
        <module>ebpm-process-code</module>
    </modules>
</project>
